Skip to main content
`Ctrl`+`K`

# TSGetStages

Get the number of stages and stage values

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetStages(TS ts, PetscInt *ns, Vec **Y)

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## Output Parameters

- ns - the number of stages

- Y - the current stage vectors

## Note

Both `ns` and `Y` can be `NULL`.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSCreate()`

## Level

advanced

## Location

src/ts/interface/ts.c

## Implementations

TSGetStages_ARKIMEX() in src/ts/impls/arkimex/arkimex.c
TSGetStages_RK() in src/ts/impls/explicit/rk/rk.c
TSGetStages_GLEE() in src/ts/impls/glee/glee.c
TSGetStages_DiscGrad() in src/ts/impls/implicit/discgrad/tsdiscgrad.c
TSGetStages_Theta() in src/ts/impls/implicit/theta/theta.c
TSGetStages_MPRK() in src/ts/impls/multirate/mprk.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages